Subject: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns

From: Robert Pluim <[email-masked]>
Date: Tue, 04 Aug 2020 18:20:09 +0200

>>>>> On Tue, 04 Aug 2020 18:12:51 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> 'network-lookup-address-info' returns nil if it canʼt resolve the
    >> hostname, and if it happens to return a non-loopback IP, what's wrong
    >> with trying to connect to it? It will be local anyway.

    Lars> It's just one more thing that may fail -- somebody may have set
    Lars> (system-name) to something that does resolve, but isn't the local
    Lars> machine.  People do all kinds of odd things.

Well, you could always check against 'network-interface-list', but
thatʼs probably overkill.

Robert